// src/iconify.ts
import React from "react";
import {
  enableCache,
  disableCache,
  iconExists,
  getIcon,
  listIcons,
  addIcon,
  addCollection,
  calculateSize,
  buildIcon,
  loadIcons,
  loadIcon,
  addAPIProvider,
  appendCustomStyle,
  _api
} from "iconify-icon";
var Icon = React.forwardRef(
  (props, ref) => {
    const newProps = {
      ...props,
      ref
    };
    if (typeof props.icon === "object") {
      newProps.icon = JSON.stringify(props.icon);
    }
    if (!props.inline) {
      delete newProps.inline;
    }
    if (props.className) {
      newProps["class"] = props.className;
    }
    return React.createElement("iconify-icon", newProps);
  }
);
export {
  Icon,
  _api,
  addAPIProvider,
  addCollection,
  addIcon,
  appendCustomStyle,
  buildIcon,
  calculateSize,
  disableCache,
  enableCache,
  getIcon,
  iconExists,
  listIcons,
  loadIcon,
  loadIcons
};
